<html>
	<head>
		<link href="/static/css/style.css" rel="stylesheet">
	</head>
	<body>
		{% include "header.html" %}
		<div class="container">
			<h1>Usores</h1>
			<div class="left">
<input type="text" id="myInput" onkeyup="myFunction()" placeholder="Usorem quaerere.." title="Type in a name">
				<ul id='myUL'>
					{%for user in users%}
					<li><a href="/users/{{user.iduser}}">{%if user.firstname%}{{user.firstname}} {{user.lastname}} -{%endif%}{%if user.institution%} {{user.institution}} -{%endif%} {{user.displayname}}</a>
					{%endfor%}
			</div>
		</div>

<script>
function myFunction() {
    var input, filter, ul, li, a, i, txtValue;
    input = document.getElementById("myInput");
    filter = input.value.toUpperCase();
    ul = document.getElementById("myUL");
    li = ul.getElementsByTagName("li");
    for (i = 0; i < li.length; i++) {
        a = li[i].getElementsByTagName("a")[0];
        txtValue = a.textContent || a.innerText;
        if (txtValue.toUpperCase().indexOf(filter) > -1) {
            li[i].style.display = "";
        } else {
            li[i].style.display = "none";
        }
    }
}
</script>
	</body>
</html>
